#
# git clone https://git.chromium.org/git/chromiumos/platform/vboot_reference.git
# cd vboot_reference
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git archive --format=tar --prefix=vboot_reference-${DATE}/ master | xz > ../vboot_reference-${DATE}.tar.xz
#
%define gdate   20190823

Name:		vboot-utils
Version:	%{gdate}
Release:	%mkrel 4
Summary:	Verified Boot Utility from Chromium OS
Group:		System/Boot and Init
License:	BSD
URL:		https://chromium.googlesource.com/chromiumos/platform/vboot_reference/
Source0:	vboot_reference-%{gdate}.tar.xz
# Patch0 disabled static building.
Patch0:		vboot-utils-00-disable-static-linking.patch
Patch1:		vboot_reference-20190823-git-multiple-def.patch
BuildRequires:	gcc
BuildRequires:	lzma-devel
BuildRequires:	openssl-devel
BuildRequires:	trousers-devel
BuildRequires:	yaml-devel
BuildRequires:	pkgconfig(uuid)
# For tests
BuildRequires:	openssl

%description
Verified boot is a collection of utilities helpful for chromebook computer.
Pack and sign the kernel, manage gpt partitions.


%prep
%autosetup -p1 -n vboot_reference-%{version}

%build

%ifarch %{arm} aarch64
%global ARCH arm
%endif

%ifarch x86_64
%global ARCH x86_64
%endif

%ifarch i586
%global ARCH x86
%endif

%make_build HOST_ARCH=%{ARCH} COMMON_FLAGS="%{optflags} -ftree-loop-vectorize" DEBUG_FLAGS=

%install
%make_install V=1 DESTDIR=%{buildroot}%{_bindir} HOST_ARCH=%{ARCH}

%check
make runtests HOST_ARCH=%{ARCH} || true

%files
%license LICENSE
%doc README
%{_bindir}/*


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 20190823-4.mga9
+ Revision: 1833639
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 20190823-3.mga9
+ Revision: 1747880
- rebuild for openssl 3.0.0

* Thu May 21 2020 danf <danf> 20190823-2.mga8
+ Revision: 1586506
- Fix multiple definitions error with gcc 10
- Remove unused python2 dependency

* Wed Feb 26 2020 daviddavid <daviddavid> 20190823-1.mga8
+ Revision: 1550728
- new version: 20190823
- remove merged upstream patches
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Dec 26 2018 wally <wally> 20180601-6.mga7
+ Revision: 1345133
- enable _FORTIFY_SOURCE again on arm and aarch64
- build with -ftree-loop-vectorize

* Wed Dec 26 2018 wally <wally> 20180601-5.mga7
+ Revision: 1345120
- add patch to fix build with gcc8
- build without _FORTIFY_SOURCE on arm and aarch64
- use our build optimizations flags

* Sun Sep 23 2018 umeabot <umeabot> 20180601-4.mga7
+ Revision: 1301570
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 wally <wally> 20180601-3.mga7
+ Revision: 1233737
- build with openssl 1.1

* Sat Jun 02 2018 wally <wally> 20180601-2.mga7
+ Revision: 1233730
- rebuild for i586 and arm test failures
- update to latest git snapshot
- rediff patches
- build with openssl 1.1

* Fri Jun 01 2018 wally <wally> 0.11.241.B-1.mga7
+ Revision: 1233516
- new version 0.11.241.B
+ pterjan <pterjan>
- Add missing BuildRequires
- imported package vboot-utils


* Tue Feb  5 2013 William Cohen <wcohen@redhat.c>  20130129git68f54d4-4
- Correct logic for setting 32-bit/64-bit x86.

* Tue Feb  5 2013 William Cohen <wcohen@redhat.c>  20130129git68f54d4-3
- Disable smp build because of problem with make dependencies

* Mon Feb  4 2013 William Cohen <wcohen@redhat.c>  20130129git68f54d4-2
- spec file clean up.

* Sat Jan  5 2013 Jon Disnard <jdisnard@gmail.com> 20130129git68f54d4-1
- Inception
- Patch0 prevents static building.
- Patch1 fixes minor printf formating bug in c++ code.
- tests disabled as they do not work in mock chroot.

